/*
 * Copyright (c) 1997-1999 Mark Danks.
 * For information on usage and redistribution, and for a DISCLAIMER OF ALL
 * WARRANTIES, see the file, "GEM.LICENSE.TERMS" in this distribution.
 */

/* -------------------------- setup functions ------------------------------ */

/* control objects */
void alternate_setup(void);
void average_setup(void);
void change_setup(void);
void counter_setup(void);
/* void multipack_setup(void); */
void multiselect_setup(void);
void oneshot_setup(void);
void invert_setup(void);
void strcat_setup(void);

void vector_setup(void);

/* GEM utilities */
void tripleLine_setup(void);
void randomF_setup(void);
void tripleRand_setup(void);

/* DSP objects */
void reson_setup(void);
void abs_setup(void);

#ifdef _WINDOWS
__declspec(dllexport) extern void MarkEx_setup();
#endif

void MarkEx_setup(void)
{
    alternate_setup();
    average_setup();
	change_setup();
    counter_setup();
/*    multipack_setup(); */
    multiselect_setup();
    oneshot_setup();
    invert_setup();
    strcat_setup();

	tripleLine_setup();
	randomF_setup();
	tripleRand_setup();
	vector_setup();

    reson_setup();
    abs_setup();
}
